singleton Material(transitmk6)
{
    mapTo = "transitmk6";
    diffuseMap[2] = "vehicles/transitmk6/textures/transitmk6_c.dds";
    specularMap[2] = "vehicles/transitmk6/textures/transitmk6_s.dds";
    normalMap[2] = "vehicles/transitmk6/textures/transitmk6_n.dds";
    diffuseMap[1] = "vehicles/transitmk6/textures/transitmk6_d.dds";
    specularMap[1] = "vehicles/transitmk6/textures/transitmk6_s.dds";
    normalMap[1] = "vehicles/transitmk6/textures/transitmk6_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/transitmk6/textures/transitmk6_n.dds";
    diffuseColor[0] = "0.8 0.8 0.8 1";
    diffuseColor[1] = "0.9 0.9 0.9 0.6";
    specularPower[0] = "16";
    specularPower[1] = "16";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "0";
    beamngDiffuseColorSlot = 1;
    doubleSided = "1";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(transitmk6_plastic)
{
   mapTo = "transitmk6_plastic";
   reflectivityMap[0] = "vehicles/transitmk6/textures/EXTbodyparts.dds";
   diffuseMap[0] = "vehicles/transitmk6/textures/EXTbodyparts.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/transitmk6/textures/EXTbodyparts.dds";
   specularMap[1] = "vehicles/transitmk6/textures/EXTbodyparts.dds";
   normalMap[0] = "vehicles/transitmk6/textures/transitmk6_n.dds";
   specularPower[0] = "64";
   pixelSpecular[0] = "1";
   specularPower[1] = "64";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = false; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(transitmk6_plasticfaded)
{
   mapTo = "transitmk6_plasticfaded";
   reflectivityMap[0] = "vehicles/transitmk6/textures/fadedplastic.jpg";
   diffuseMap[0] = "vehicles/transitmk6/textures/fadedplastic.jpg";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/transitmk6/textures/fadedplastic.jpg";
   specularMap[1] = "vehicles/transitmk6/textures/fadedplastic.jpg";
   normalMap[0] = "vehicles/transitmk6/textures/fadedplasticNM.png";
   specularPower[0] = "64";
   pixelSpecular[0] = "1";
   specularPower[1] = "64";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = false; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(transitmk6_darkplastic)
{
   mapTo = "transitmk6_darkplastic";
   reflectivityMap[0] = "vehicles/transitmk6/textures/leatherdark.dds";
   diffuseMap[0] = "vehicles/transitmk6/textures/leatherdark.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/transitmk6/textures/leatherdark.dds";
   specularMap[1] = "vehicles/transitmk6/textures/leatherdark.dds";
   normalMap[0] = "vehicles/transitmk6/textures/leatherDetailNM.dds";
   specularPower[0] = "64";
   pixelSpecular[0] = "1";
   specularPower[1] = "64";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = false; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(transitmk6_lightplastic)
{
   mapTo = "transitmk6_lightplastic";
   reflectivityMap[0] = "vehicles/transitmk6/textures/leatherlight.dds";
   diffuseMap[0] = "vehicles/transitmk6/textures/leatherlight.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/transitmk6/textures/leatherlight.dds";
   specularMap[1] = "vehicles/transitmk6/textures/leatherlight.dds";
   normalMap[0] = "vehicles/transitmk6/textures/leatherDetailNM.dds";
   specularPower[0] = "64";
   pixelSpecular[0] = "1";
   specularPower[1] = "64";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = false; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(transitmk6_cloth)
{
   mapTo = "transitmk6_cloth";
   diffuseMap[0] = "vehicles/transitmk6/textures/fabricseat.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/transitmk6/textures/fabricseat.dds";
   specularMap[1] = "vehicles/transitmk6/textures/fabricseat.dds";
   normalMap[0] = "vehicles/transitmk6/textures/fabricSeatNM.dds";
   specularPower[0] = "64";
   pixelSpecular[0] = "1";
   specularPower[1] = "64";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = false; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(transitmk6_dottedstuff)
{
   mapTo = "transitmk6_dottedstuff";
   reflectivityMap[0] = "vehicles/transitmk6/textures/leatherdotted.dds";
   diffuseMap[0] = "vehicles/transitmk6/textures/leatherdotted.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/transitmk6/textures/leatherdotted.dds";
   specularMap[1] = "vehicles/transitmk6/textures/leatherdotted.dds";
   normalMap[0] = "vehicles/transitmk6/textures/LeatherdottedNM.dds";
   specularPower[0] = "64";
   pixelSpecular[0] = "1";
   specularPower[1] = "64";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = false; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(transitmk6_leather2)
{
   mapTo = "transitmk6_leather2";
   reflectivityMap[0] = "vehicles/transitmk6/textures/leatherblack.dds";
   diffuseMap[0] = "vehicles/transitmk6/textures/leatherblack.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/transitmk6/textures/leatherblack.dds";
   specularMap[1] = "vehicles/transitmk6/textures/leatherblack.dds";
   normalMap[0] = "vehicles/transitmk6/textures/leatherDetailNM.dds";
   specularPower[0] = "64";
   pixelSpecular[0] = "1";
   specularPower[1] = "64";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = false; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(transitmk6_leather1)
{
   mapTo = "transitmk6_leather1";
   reflectivityMap[0] = "vehicles/transitmk6/textures/leathergrey.dds";
   diffuseMap[0] = "vehicles/transitmk6/textures/leathergrey.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/transitmk6/textures/leathergrey.dds";
   specularMap[1] = "vehicles/transitmk6/textures/leathergrey.dds";
   normalMap[0] = "vehicles/transitmk6/textures/leatherDetailNM.dds";
   specularPower[0] = "64";
   pixelSpecular[0] = "1";
   specularPower[1] = "64";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = false; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(transitmk6_floor)
{
   mapTo = "transitmk6_floor";
   reflectivityMap[0] = "vehicles/transitmk6/textures/leathergrey.dds";
   diffuseMap[0] = "vehicles/transitmk6/textures/leathergrey.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/transitmk6/textures/leathergrey.dds";
   specularMap[1] = "vehicles/transitmk6/textures/leathergrey.dds";
   normalMap[0] = "vehicles/transitmk6/textures/leatherDetailNM.dds";
   specularPower[0] = "64";
   pixelSpecular[0] = "1";
   specularPower[1] = "64";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = false; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(transitmk6_glass)
{
   mapTo = "transitmk6_glass";
    reflectivityMap[0] = "vehicles/transitmk6/textures/glass_base.dds";
    diffuseMap[0] = "vehicles/transitmk6/textures/glass.dds";
    opacityMap[0] = "vehicles/transitmk6/textures/glass_base.dds";
    diffuseMap[1] = "vehicles/transitmk6/textures/glass.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
	doubleSided = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(transitmk6_glass_second)
{
   mapTo = "transitmk6_glass_second";
    reflectivityMap[0] = "vehicles/transitmk6/textures/glass_base.dds";
    diffuseMap[0] = "vehicles/transitmk6/textures/glass_base.dds";
    opacityMap[0] = "vehicles/transitmk6/textures/glass_base.dds";
    diffuseMap[1] = "vehicles/transitmk6/textures/glass_base.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
	doubleSided = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(transitmk6_glass_dmg)
{
   mapTo = "transitmk6_glass_dmg";
    reflectivityMap[0] = "vehicles/transitmk6/textures/glass_base.dds";
    diffuseMap[0] = "vehicles/transitmk6/textures/glass_dmg.png";
    opacityMap[0] = "vehicles/transitmk6/textures/glass_base.dds";
    diffuseMap[1] = "vehicles/transitmk6/textures/glass_dmg.png";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/transitmk6/textures/glassn.png";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
	doubleSided = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(transitmk6_lightglass)
{
   mapTo = "transitmk6_lightglass";
    reflectivityMap[0] = "vehicles/transitmk6/textures/glass.dds";
    diffuseMap[0] = "vehicles/transitmk6/textures/glass.dds";
    opacityMap[0] = "vehicles/transitmk6/textures/glass.dds";
    diffuseMap[1] = "vehicles/transitmk6/textures/glass.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
	doubleSided = "1";
    alphaTest = "0";
    alphaRef = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(transitmk6_intglass)
{
   mapTo = "transitmk6_intglass";
    reflectivityMap[0] = "vehicles/transitmk6/textures/INTERNAL_glass.dds";
    diffuseMap[0] = "vehicles/transitmk6/textures/INTERNAL_glass.dds";
    opacityMap[0] = "vehicles/transitmk6/textures/INTERNAL_glass.dds";
    diffuseMap[1] = "vehicles/transitmk6/textures/INTERNALglass.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(transitmk6_grille)
{
   mapTo = "transitmk6_grille";
   diffuseMap[0] = "vehicles/transitmk6/textures/grille.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/transitmk6/textures/grille.dds";
   specularMap[1] = "vehicles/transitmk6/textures/grille.dds";
   normalMap[0] = "vehicles/transitmk6/textures/EXT_grillN.dds";
   specularPower[0] = "64";
   pixelSpecular[0] = "1";
   specularPower[1] = "64";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(transitmk6_seatbelts)
{
   mapTo = "transitmk6_seatbelts";
   diffuseMap[0] = "vehicles/transitmk6/textures/EXTbodyparts.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/transitmk6/textures/EXTbodyparts.dds";
   specularMap[1] = "vehicles/transitmk6/textures/EXTbodyparts.dds";
   normalMap[0] = "vehicles/transitmk6/textures/seatbeltN.dds";
   specularPower[0] = "64";
   pixelSpecular[0] = "1";
   specularPower[1] = "64";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(transitmk6_badges)
{
   mapTo = "transitmk6_badges";
   diffuseMap[0] = "vehicles/transitmk6/textures/Ext_Logos.dds";
   normalMap[0] = "vehicles/transitmk6/textures/EXT_LogosNM.dds";
   diffuseColor[0] = "1 1 1 0.1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true;
   doubleSided = "1";
};

singleton Material("transitmk6.skin.used")
{
   mapTo = "transitmk6.skin.used";
   diffuseMap[0] = "vehicles/transitmk6/skins/transit_rusty.png";
   diffuseColor[0] = "1 1 1 0.1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true;
   doubleSided = "1";
};

singleton Material("transitmk6.skin.dpd")
{
   mapTo = "transitmk6.skin.dpd";
   diffuseMap[0] = "vehicles/transitmk6/skins/dpddelivery.dds";
   diffuseColor[0] = "1 1 1 0.1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true;
   doubleSided = "1";
};

singleton Material("transitmk6.skin.rac")
{
   mapTo = "transitmk6.skin.rac";
   diffuseMap[0] = "vehicles/transitmk6/skins/rac.dds";
   diffuseColor[0] = "1 1 1 0.1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true;
   doubleSided = "1";
};

singleton Material("transitmk6.skin.yodel")
{
   mapTo = "transitmk6.skin.yodel";
   diffuseMap[0] = "vehicles/transitmk6/skins/yodel.dds";
   diffuseColor[0] = "1 1 1 0.1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true;
   doubleSided = "1";
};

singleton Material("transitmk6.skin.bt")
{
   mapTo = "transitmk6.skin.bt";
   diffuseMap[0] = "vehicles/transitmk6/skins/bt.dds";
   diffuseColor[0] = "1 1 1 0.1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true;
   doubleSided = "1";
};

singleton Material("transitmk6.skin.pf")
{
   mapTo = "transitmk6.skin.pf";
   diffuseMap[0] = "vehicles/transitmk6/skins/pf.dds";
   diffuseColor[0] = "1 1 1 0.1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true;
   doubleSided = "1";
};

singleton Material("transitmk6.skin.tnt")
{
   mapTo = "transitmk6.skin.tnt";
   diffuseMap[0] = "vehicles/transitmk6/skins/tnt.dds";
   diffuseColor[0] = "1 1 1 0.1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true;
   doubleSided = "1";
};

singleton Material("transitmk6.skin.fr")
{
   mapTo = "transitmk6.skin.fr";
   diffuseMap[0] = "vehicles/transitmk6/skins/fr.dds";
   diffuseColor[0] = "1 1 1 0.1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true;
   doubleSided = "1";
};

singleton Material(transitmk6_instruments)
{
   mapTo = "transitmk6_instruments";
   diffuseMap[0] = "vehicles/transitmk6/textures/INT_instrumentCluster.png";
   diffuseColor[0] = "1 1 1 0.1";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = false;
   doubleSided = "1";
};

singleton Material(transitmk6_intlogos)
{
   mapTo = "transitmk6_intlogos";
   diffuseMap[0] = "vehicles/transitmk6/textures/Ext_Logos.dds";
   diffuseColor[0] = "1 1 1 0.1";
    translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = false;
   doubleSided = "1";
};

singleton Material(transitmk6_blackmetal)
{
 mapTo = "transitmk6_blackmetal";
 materialTag0 = "transitmk6_blackmetal"; materialTag1 = "vehicle";
 colorMap[0] = "vehicles/transitmk6/textures/metalblack.dds";
 normalMap[0] = "vehicles/transitmk6/textures/metalNM.dds";
 pixelSpecular[0] = "1";
 doubleSided = "1";
 diffuseColor[0] = "0.988235 0.996078 0.988235 0.396";
 instanceDiffuse[0] = 0;
 dynamicCubemap = false;
};

singleton Material(transitmk6_metal)
{
 mapTo = "transitmk6_metal";
 materialTag0 = "transitmk6_metal"; materialTag1 = "vehicle";
 colorMap[0] = "vehicles/transitmk6/textures/metal.dds";
 normalMap[0] = "vehicles/transitmk6/textures/metalNM.dds";
 pixelSpecular[0] = "1";
 doubleSided = "1";
 diffuseColor[0] = "0.988235 0.996078 0.988235 0.396";
 instanceDiffuse[0] = 0;
 dynamicCubemap = true;
};

singleton Material(transitmk6_chassis)
{
   mapTo = "transitmk6_chassis";
   reflectivityMap[0] = "vehicles/transitmk6/textures/underside.dds";
   diffuseMap[0] = "vehicles/transitmk6/textures/underside.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/transitmk6/textures/underside.dds";
   specularMap[1] = "vehicles/transitmk6/textures/underside.dds";
   normalMap[0] = "vehicles/transitmk6/textures/undersideNM.png";
   specularPower[0] = "64";
   pixelSpecular[0] = "1";
   specularPower[1] = "64";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = false; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(transitmk6_lights)
{
   mapTo = "transitmk6_lights";
   diffuseMap[0] = "vehicles/transitmk6/textures/EXTlights.dds";
   normalMap[0] = "vehicles/transitmk6/textures/EXTlightsNM.dds";
   diffuseColor[0] = "1 1 1 0.1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true;
   instanceDiffuse[0] = 0;
   doubleSided = "1";
};

singleton Material(transitmk6_lights_on)
{
   mapTo = "transitmk6_lights_on";
   diffuseMap[2] = "vehicles/transitmk6/textures/EXTlights_on.dds";
   diffuseMap[1] = "vehicles/transitmk6/textures/EXTlights_on.dds";
   normalMap[0] = "vehicles/transitmk6/textures/EXTlightsNM.dds";
   //diffuseMap[3] = "vehicles/etkc/etkc_lights_dirt.dds";
   //normalMap[3] = "vehicles/etkc/etkc_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "0.0470588 0.0470588 0.0470588 1";
   diffuseColor[1] = "0.992157 0.992157 0.992157 1";
   diffuseColor[2] = "0.494118 0.494118 0.494118 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   specularPower[2] = "1";
};

singleton Material(transitmk6_lights_on_intense)
{
   mapTo = "transitmk6_lights_on_intense";
   diffuseMap[2] = "vehicles/transitmk6/textures/EXTlights_on_intense.dds";
   diffuseMap[1] = "vehicles/transitmk6/textures/EXTlights_on_intense.dds";
   normalMap[0] = "vehicles/transitmk6/textures/EXTlightsNM.dds";
   //diffuseMap[3] = "vehicles/etkc/etkc_lights_dirt.dds";
   //normalMap[3] = "vehicles/etkc/etkc_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "0.0470588 0.0470588 0.0470588 1";
   diffuseColor[1] = "0.992157 0.992157 0.992157 1";
   diffuseColor[2] = "0.494118 0.494118 0.494118 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   specularPower[2] = "1";
};

singleton Material(transitmk6_instruments_on)
{
   mapTo = "transitmk6_instruments_on";
   diffuseMap[0] = "vehicles/transitmk6/textures/INT_instrumentCluster_on.dds";
   diffuseColor[0] = "1 1 1 0.1";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   emissive[0] = "1";
   dynamicCubemap = false;
   doubleSided = "1";
};

singleton Material(transitmk6_fullbeam_on)
{
   mapTo = "transitmk6_fullbeam_on";
   diffuseMap[0] = "vehicles/transitmk6/textures/fullbeam.png";
   diffuseColor[0] = "1 1 1 0.1";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   emissive[0] = "1";
   glow[2] = "1";
   dynamicCubemap = false;
   doubleSided = "1";
};

singleton Material(transitmk6_handbrake_on)
{
   mapTo = "transitmk6_handbrake_on";
   diffuseMap[0] = "vehicles/transitmk6/textures/handbrake.png";
   diffuseColor[0] = "1 1 1 0.1";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   emissive[0] = "1";
   glow[2] = "1";
   dynamicCubemap = false;
   doubleSided = "1";
};


singleton Material(transitmk6_intsignal_on)
{
   mapTo = "transitmk6_intsignal_on";
   diffuseMap[0] = "vehicles/transitmk6/textures/indicate.dds";
   diffuseColor[0] = "1 1 1 0.1";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   emissive[0] = "1";
   dynamicCubemap = false;
   doubleSided = "1";
};

singleton Material(transitmk6_wheel)
{
   mapTo = "transitmk6_wheel";
   diffuseMap[0] = "vehicles/transitmk6/textures/wheelblur.dds";
   diffuseColor[0] = "1 1 1 0.1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true;
   instanceDiffuse[0] = 0;
   doubleSided = "1";
};

singleton Material(transitmk6_blackglass)
{
   mapTo = "transitmk6_blackglass";
   diffuseMap[0] = "vehicles/transitmk6/textures/black.dds";
   diffuseColor[0] = "1 1 1 0.1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true;
   instanceDiffuse[0] = 0;
   doubleSided = "1";
};

singleton Material(transitmk6_wheelb)
{
   mapTo = "transitmk6_wheelb";
   reflectivityMap[0] = "vehicles/transitmk6/textures/wheelBlurB.dds";
   diffuseMap[0] = "vehicles/transitmk6/textures/wheelBlurB.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/transitmk6/textures/wheelBlurB.dds";
   specularMap[1] = "vehicles/transitmk6/textures/wheelBlurB.dds";
   specularPower[0] = "64";
   pixelSpecular[0] = "1";
   specularPower[1] = "64";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(transitmk6_decals)
{
   mapTo = "transitmk6_decals";
   reflectivityMap[0] = "vehicles/transitmk6/textures/Ext_Decals.dds";
   diffuseMap[0] = "vehicles/transitmk6/textures/Ext_Decals.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/transitmk6/textures/Ext_Decals.dds";
   specularMap[1] = "vehicles/transitmk6/textures/Ext_Decals.dds";
   specularPower[0] = "64";
   pixelSpecular[0] = "1";
   specularPower[1] = "64";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(transitmk6_wheelc)
{
   mapTo = "transitmk6_wheelc";
   reflectivityMap[0] = "vehicles/transitmk6/textures/rustedwheel.dds";
   diffuseMap[0] = "vehicles/transitmk6/textures/rustedwheel.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/transitmk6/textures/rustedwheel.dds";
   specularMap[1] = "vehicles/transitmk6/textures/rustedwheel.dds";
   specularPower[0] = "64";
   pixelSpecular[0] = "1";
   specularPower[1] = "64";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(transitmk6_instrumentcluster)
{
   mapTo = "transitmk6_instrumentcluster";
   reflectivityMap[0] = "vehicles/transitmk6/textures/INT_instrumentCluster.dds";
   diffuseMap[0] = "vehicles/transitmk6/textures/INT_instrumentCluster.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/transitmk6/textures/INT_instrumentCluster.dds";
   specularMap[1] = "vehicles/transitmk6/textures/INT_instrumentCluster.dds";
   specularPower[0] = "64";
   pixelSpecular[0] = "1";
   specularPower[1] = "64";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(transitmk6_tyre)
{
   mapTo = "transitmk6_tyre";
   reflectivityMap[0] = "vehicles/transitmk6/textures/TyreDnew.dds";
   diffuseMap[0] = "vehicles/transitmk6/textures/TyreDnew.dds";
   diffuseMap[1] = "vehicles/transitmk6/textures/TyreDnew.dds";
   specularMap[1] = "vehicles/transitmk6/textures/TyreDnew.dds";
   normalMap[0] = "vehicles/transitmk6/textures/TyreNMnew.dds";
   specularPower[0] = "64";
   pixelSpecular[0] = "1";
   specularPower[1] = "64";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "1";
   alphaTest = "1";
   alphaRef = "0";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(transitmk6_mirrors)
{
   mapTo = "transitmk6_mirrors";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/mirror_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};